Package wx :: Package py :: Module filling :: Class FillingText

[frames | no frames]

## Type FillingText

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                StyledTextCtrl --+
                                 |
                        EditWindow --+
                                     |
                                    FillingText

FillingText based on StyledTextCtrl.

Method Summary
| ``__init__`(self, parent, id, pos, size, style, static)` Create FillingText instance.
| ``push`(self, command, more)` Receiver for Interpreter.push signal.
| `SetText(self, *args, **kwds)`

Property Summary

Class Variable Summary
`str` | `name` = `'Filling Text'`
`str` | `revision` = `'1.7'`

Instance Method Details

### __init__(self, parent, id=-1, pos=wx.Point(-1, -1), size=wx.Size(-1, -1), style=4194304, static=False)
(Constructor)

Create FillingText instance.

  Overrides:
    `wx.py.editwindow.EditWindow.__init__`

### push(self, command, more)

Receiver for Interpreter.push signal.

Class Variable Details

### name

  Type:
    `str`
  Value:

        'Filling Text'

### revision

  Type:
    `str`
  Value:

        '1.7'

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:20 2007 | http://epydoc.sf.net